<template>
    <div>
        <input v-model="userName" type="text" />
        <button v-on:click="login()">Login</button>
    </div>
</template>

<script>
export default {
    data() {
        return {
            userName: ""
        };
    },
    methods: {
        login() {
            this.$loginData.userName = this.userName;
            if (this.$route.query.redirect) {
                this.$router.push(this.$route.query.redirect);
            } else {
                this.$router.push("/");
            }
        }
    }
};
</script>

<style></style>
